{% extends "templates/form.njk" %}
{% from "packages/components/input/macro.njk" import input %}
{% from "packages/components/fieldset/macro.njk" import fieldset %}
{% from "macros/hrt-form-heading-with-para.njk" import hrtFormHeadingWithParagraph %}

{% block formContent %}

  {% set legendHtml = hrtFormHeadingWithParagraph({heading: heading, paragraph: paragraphOne}) %}

  {% call fieldset({
    legend: {
      isPageHeading: false,
      html: legendHtml
    }
  }) %}

  {{ input({
    label: {
      text: buildingAndStreetLine1of2
    },
    classes: "nhsuk-input--width-40",
    id: "address-line-1",
    name: "addressLine1",
    errorMessage: errors | getErrorForField('addressLine1'),
    value: claim.addressLine1,
    autocomplete: "off"
  }) }}

  {{ input({
    label: {
      text: buildingAndStreetLine2of2
    },
    classes: "nhsuk-input--width-40",
    id: "address-line-2",
    name: "addressLine2",
    errorMessage: errors | getErrorForField('addressLine2'),
    value: claim.addressLine2,
    autocomplete: "off"
  }) }}

  {{ input({
    label: {
      text: townOrCityLabel
    },
    classes: "nhsuk-input--width-20",
    id: "town-or-city",
    name: "townOrCity",
    errorMessage: errors | getErrorForField('townOrCity'),
    value: claim.townOrCity,
    autocomplete: "off"
  }) }}

  {{ input({
    label: {
      text: postcodeLabel
    },
    classes: "nhsuk-input--width-10",
    id: "postcode",
    name: "postcode",
    errorMessage: errors | getErrorForField('postcode'),
    value: claim.sanitizedPostcode,
    autocomplete: "off"
  }) }}

  {% endcall %}
{% endblock %}
